restore_names {memnet} | R Documentation

## Restore names of memnet objects

### Description

Function replaces the index vectors created by get_adjlist fluency, or search_rw by their original names.

### Usage

    restore_names(dat, names)

### Arguments

`dat` | lists of indices that correspond to positions in a name vector or matrix with two initial columns containing node indices.
`names` | character vector giving the names.

### Value

lists of character vectors.

### Examples

    # get fluency data
    data(animal_fluency)

    # edge list of fluency graph
    edge_list = threshold_graph(animal_fluency)

    # extract adjlist from community network
    adjlist = edg_to_adjlist(edge_list)

    f = fluency(adjlist, c(10, 14, 16, 18))
    restore_names(f, get_names(edge_list))

[Package memnet version 0.1.0 Index]